Bug 233170 - Crash when browsing a category on Jamendo [@ CollectionTreeItem::row]
Summary: Crash when browsing a category on Jamendo [@ CollectionTreeItem::row]
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collection Browser (show other bugs)
Version: 2.4.3
Platform: Unlisted Binaries Linux
: HI crash with 20 votes (vote)
Target Milestone: 2.5
Assignee: Amarok Developers
URL:
Keywords: release_blocker
: 233334 235327 236764 248102 253611 254786 254905 254946 256343 256419 258159 258211 259126 263303 266656 266729 267219 268190 268883 268888 269025 269090 269198 270991 271500 272287 272309 272406 275563 275712 275868 279291 282268 283695 288039 288325 289291 299043 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-04-03 15:00 UTC by Jean-Christophe Dubois
Modified: 2012-04-30 00:15 UTC (History)
47 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.5


Attachments
New crash information added by DrKonqi (20.90 KB, text/plain)
2010-05-14 06:54 UTC, Marco González Luengo
Details
New crash information added by DrKonqi (21.11 KB, text/plain)
2010-12-19 14:31 UTC, marko.gabriel.cz
Details
New crash information added by DrKonqi (24.40 KB, text/plain)
2011-01-16 20:59 UTC, Metin Amiroff
Details
New crash information added by DrKonqi (17.51 KB, text/plain)
2011-02-11 11:19 UTC, Leonardo La Malfa
Details
dirty hack, that somehow works... (815 bytes, patch)
2011-02-11 15:40 UTC, Wolfgang Lorenz
Details
New crash information added by DrKonqi (21.11 KB, text/plain)
2011-03-24 09:03 UTC, Valorie Zimmerman
Details
New crash information added by DrKonqi (24.13 KB, text/plain)
2011-05-12 10:55 UTC, judedawson
Details
New crash information added by DrKonqi (16.58 KB, text/plain)
2011-07-22 07:55 UTC, nernit.site
Details
New crash information added by DrKonqi (20.69 KB, text/plain)
2011-10-04 17:00 UTC, andy.reddy
Details
New crash information added by DrKonqi (15.94 KB, text/plain)
2011-11-08 18:07 UTC, andy.reddy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Christophe Dubois 2010-04-03 15:00:21 UTC
Application that crashed: amarok
Version of the application: 2.2.0
KDE Version: 4.3.5 (KDE 4.3.5)
Qt Version: 4.5.2
Operating System: Linux 2.6.31-20-generic i686
Distribution: Ubuntu 9.10

What I was doing when the application crashed:
Amarok was streaming an internet radio.

Meanwhile, I tired to browse some category on Jamendo through Amarok.

After some time Amarok died.

 -- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
The current source language is "auto; currently c".
[Current thread is 1 (Thread 0xb68cb950 (LWP 2234))]

Thread 15 (Thread 0xb4808b70 (LWP 2263)):
#0  0x00dee832 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x01e4c142 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_timedwait.S:179
#2  0x079698d4 in __pthread_cond_timedwait (cond=0x89ad5a8, mutex=0x89ad590, abstime=0xb4808300) at forward.c:152
#3  0x033d99ff in ?? () from /usr/lib/libxine.so.1
#4  0x01e4780e in start_thread (arg=0xb4808b70) at pthread_create.c:300
#5  0x0795c8de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 14 (Thread 0xb4007b70 (LWP 2266)):
#0  0x03067e06 in *__GI_clock_gettime (clock_id=50774004, tp=0xb4006fc8) at ../sysdeps/unix/clock_gettime.c:100
#1  0x069a6bf3 in QTimerInfoList::getTime (this=0x88f5abc, t=...) at kernel/qeventdispatcher_unix.cpp:339
#2  0x069a6de1 in QTimerInfoList::updateCurrentTime (this=0x88f5abc) at kernel/qeventdispatcher_unix.cpp:297
#3  0x069a788c in QTimerInfoList::timerWait (this=0x88f5abc, tm=...) at kernel/qeventdispatcher_unix.cpp:420
#4  0x069a5210 in timerSourcePrepare (source=0x88f5a88, timeout=0xb40070bc) at kernel/qeventdispatcher_glib.cpp:141
#5  0x04c54f90 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#6  0x04c55351 in ?? () from /lib/libglib-2.0.so.0
#7  0x04c55863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#8  0x069a5067 in QEventDispatcherGlib::processEvents (this=0x88f62f0, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#9  0x06978c79 in QEventLoop::processEvents (this=0xb4007284, flags=) at kernel/qeventloop.cpp:149
#10 0x069790ca in QEventLoop::exec (this=0xb4007284, flags=...) at kernel/qeventloop.cpp:201
#11 0x06886b73 in QThread::exec (this=0x887e190) at thread/qthread.cpp:487
#12 0x0589e20a in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#13 0x06889e32 in QThreadPrivate::start (arg=0x887e190) at thread/qthread_unix.cpp:188
#14 0x01e4780e in start_thread (arg=0xb4007b70) at pthread_create.c:300
#15 0x0795c8de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 13 (Thread 0xb3806b70 (LWP 2275)):
#0  0x00dee832 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x0794ec96 in *__GI___poll (fds=0x79d0ff4, nfds=1, timeout=333) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x072f3c3b in ?? () from /usr/lib/xine/plugins/1.26/xineplug_ao_out_alsa.so
#3  0x01e4780e in start_thread (arg=0xb3806b70) at pthread_create.c:300
#4  0x0795c8de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 12 (Thread 0xb3005b70 (LWP 2276)):
#0  0x00dee832 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x01e4be15 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x0796987d in __pthread_cond_wait (cond=0x89cc110, mutex=0x89cc0f8) at forward.c:139
#3  0x033ea5ee in ?? () from /usr/lib/libxine.so.1
#4  0x01e4780e in start_thread (arg=0xb3005b70) at pthread_create.c:300
#5  0x0795c8de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 11 (Thread 0xb276cb70 (LWP 2282)):
#0  0x00dee832 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x01e4be15 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x0796987d in __pthread_cond_wait (cond=0x8b1b598, mutex=0x8b1b580) at forward.c:139
#3  0x033ea5ee in ?? () from /usr/lib/libxine.so.1
#4  0x01e4780e in start_thread (arg=0xb276cb70) at pthread_create.c:300
#5  0x0795c8de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 10 (Thread 0xb1f6bb70 (LWP 2283)):
#0  0x00dee832 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x01e4be15 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x0796987d in __pthread_cond_wait (cond=0x89e67d8, mutex=0x89e67c0) at forward.c:139
#3  0x033ea5ee in ?? () from /usr/lib/libxine.so.1
#4  0x01e4780e in start_thread (arg=0xb1f6bb70) at pthread_create.c:300
#5  0x0795c8de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 9 (Thread 0xb1074b70 (LWP 2293)):
#0  0x00dee832 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x01e4be15 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x0796987d in __pthread_cond_wait (cond=0x921e470, mutex=0x921e458) at forward.c:139
#3  0x0688ae67 in QWaitConditionPrivate::wait (this=0x8faca78, mutex=0x923cab0, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x8faca78, mutex=0x923cab0, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x00ddab30 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8faca60, th=0x88e9c48) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x00ddd19c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x923c4e0, th=0x88e9c48) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x00dd91fb in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x8faca60, th=0x88e9c48) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x00ddd292 in ThreadWeaver::WorkingHardState::applyForWork (this=0x923c4e0, th=0x88e9c48) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00ddadb3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8faca60, th=0x88e9c48, previous=0xad81308) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x00ddb3be in ThreadWeaver::ThreadRunHelper::run (this=0xb10742d4, parent=0x8faca60, th=0x88e9c48) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0x00ddb9db in ThreadWeaver::Thread::run (this=0x88e9c48) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0x06889e32 in QThreadPrivate::start (arg=0x88e9c48) at thread/qthread_unix.cpp:188
#13 0x01e4780e in start_thread (arg=0xb1074b70) at pthread_create.c:300
#14 0x0795c8de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 8 (Thread 0xaff6ab70 (LWP 2294)):
#0  0x00dee832 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x01e4be15 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x0796987d in __pthread_cond_wait (cond=0x921e470, mutex=0x921e458) at forward.c:139
#3  0x0688ae67 in QWaitConditionPrivate::wait (this=0x8faca78, mutex=0x923cab0, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x8faca78, mutex=0x923cab0, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x00ddab30 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8faca60, th=0x8844138) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x00ddd19c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x923c4e0, th=0x8844138) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x00dd91fb in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x8faca60, th=0x8844138) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x00ddd292 in ThreadWeaver::WorkingHardState::applyForWork (this=0x923c4e0, th=0x8844138) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00ddadb3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8faca60, th=0x8844138, previous=0xad61010) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x00ddb3be in ThreadWeaver::ThreadRunHelper::run (this=0xaff6a2d4, parent=0x8faca60, th=0x8844138) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0x00ddb9db in ThreadWeaver::Thread::run (this=0x8844138) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0x06889e32 in QThreadPrivate::start (arg=0x8844138) at thread/qthread_unix.cpp:188
#13 0x01e4780e in start_thread (arg=0xaff6ab70) at pthread_create.c:300
#14 0x0795c8de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 7 (Thread 0xaf769b70 (LWP 2295)):
#0  0x00dee832 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x01e4be15 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x0796987d in __pthread_cond_wait (cond=0x921e470, mutex=0x921e458) at forward.c:139
#3  0x0688ae67 in QWaitConditionPrivate::wait (this=0x8faca78, mutex=0x923cab0, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x8faca78, mutex=0x923cab0, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x00ddab30 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8faca60, th=0x8fc5ac8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x00ddd19c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x923c4e0, th=0x8fc5ac8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x00dd91fb in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x8faca60, th=0x8fc5ac8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x00ddd292 in ThreadWeaver::WorkingHardState::applyForWork (this=0x923c4e0, th=0x8fc5ac8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00ddadb3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8faca60, th=0x8fc5ac8, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x00ddd2b1 in ThreadWeaver::WorkingHardState::applyForWork (this=0x923c4e0, th=0x8fc5ac8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x00ddadb3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8faca60, th=0x8fc5ac8, previous=0xb617058) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0x00ddb3be in ThreadWeaver::ThreadRunHelper::run (this=0xaf7692d4, parent=0x8faca60, th=0x8fc5ac8) at ../../../threadweaver/Weaver/Thread.cpp:87
#13 0x00ddb9db in ThreadWeaver::Thread::run (this=0x8fc5ac8) at ../../../threadweaver/Weaver/Thread.cpp:142
#14 0x06889e32 in QThreadPrivate::start (arg=0x8fc5ac8) at thread/qthread_unix.cpp:188
#15 0x01e4780e in start_thread (arg=0xaf769b70) at pthread_create.c:300
#16 0x0795c8de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 6 (Thread 0xae767b70 (LWP 2301)):
#0  0x00dee832 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x01e4be15 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x0796987d in __pthread_cond_wait (cond=0x921e470, mutex=0x921e458) at forward.c:139
#3  0x0688ae67 in QWaitConditionPrivate::wait (this=0x8faca78, mutex=0x923cab0, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x8faca78, mutex=0x923cab0, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x00ddab30 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8faca60, th=0x916d278) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x00ddd19c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x923c4e0, th=0x916d278) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x00dd91fb in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x8faca60, th=0x916d278) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x00ddd292 in ThreadWeaver::WorkingHardState::applyForWork (this=0x923c4e0, th=0x916d278) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00ddadb3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8faca60, th=0x916d278, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x00ddd2b1 in ThreadWeaver::WorkingHardState::applyForWork (this=0x923c4e0, th=0x916d278) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x00ddadb3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8faca60, th=0x916d278, previous=0xb50e858) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0x00ddb3be in ThreadWeaver::ThreadRunHelper::run (this=0xae7672d4, parent=0x8faca60, th=0x916d278) at ../../../threadweaver/Weaver/Thread.cpp:87
#13 0x00ddb9db in ThreadWeaver::Thread::run (this=0x916d278) at ../../../threadweaver/Weaver/Thread.cpp:142
#14 0x06889e32 in QThreadPrivate::start (arg=0x916d278) at thread/qthread_unix.cpp:188
#15 0x01e4780e in start_thread (arg=0xae767b70) at pthread_create.c:300
#16 0x0795c8de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 5 (Thread 0xac0ffb70 (LWP 23250)):
#0  0x00dee832 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x07955a71 in select () from /lib/tls/i686/cmov/libc.so.6
#2  0x03402be0 in xine_usec_sleep () from /usr/lib/libxine.so.1
#3  0x033e7011 in ?? () from /usr/lib/libxine.so.1
#4  0x01e4780e in start_thread (arg=0xac0ffb70) at pthread_create.c:300
#5  0x0795c8de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 4 (Thread 0xab515b70 (LWP 23251)):
#0  0x00dee832 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x01e4be15 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x0796987d in __pthread_cond_wait (cond=0xac5f8dac, mutex=0xac5f8d94) at forward.c:139
#3  0x033dcfc2 in ?? () from /usr/lib/libxine.so.1
#4  0x033e2d36 in ?? () from /usr/lib/libxine.so.1
#5  0x01e4780e in start_thread (arg=0xab515b70) at pthread_create.c:300
#6  0x0795c8de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 3 (Thread 0xaab47b70 (LWP 23252)):
#0  0x00dee832 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x01e4be15 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x0796987d in __pthread_cond_wait (cond=0xac14efbc, mutex=0xac14efa4) at forward.c:139
#3  0x033dcfc2 in ?? () from /usr/lib/libxine.so.1
#4  0x033e3d46 in ?? () from /usr/lib/libxine.so.1
#5  0x01e4780e in start_thread (arg=0xaab47b70) at pthread_create.c:300
#6  0x0795c8de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 2 (Thread 0xaa346b70 (LWP 23253)):
#0  0x00dee832 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x01e4be15 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x0796987d in __pthread_cond_wait (cond=0xac16cd34, mutex=0xac16cd1c) at forward.c:139
#3  0x033ed51a in xine_event_wait () from /usr/lib/libxine.so.1
#4  0x033ed5a2 in ?? () from /usr/lib/libxine.so.1
#5  0x01e4780e in start_thread (arg=0xaa346b70) at pthread_create.c:300
#6  0x0795c8de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xb68cb950 (LWP 2234)):
[KCrash Handler]
#6  QListData::size (this=0xb4a1670) at /usr/include/qt4/QtCore/qlist.h:87
#7  QList<CollectionTreeItem*>::indexOf (this=0xb4a1670) at /usr/include/qt4/QtCore/qlist.h:633
#8  CollectionTreeItem::row (this=0xb4a1670) at /build/buildd/amarok-2.2.0/src/browsers/CollectionTreeItem.cpp:292
#9  0x00856ef7 in CollectionTreeItemModelBase::handleNormalQueryResult (this=0xacd7d98, qm=0xad2c740, dataList=...) at /build/buildd/amarok-2.2.0/src/browsers/CollectionTreeItemModelBase.cpp:798
#10 0x0085732e in CollectionTreeItemModelBase::newResultReady (this=0xacd7d98, collectionId=..., data=...) at /build/buildd/amarok-2.2.0/src/browsers/CollectionTreeItemModelBase.cpp:677
#11 0x00852b1c in CollectionTreeItemModelBase::qt_metacall (this=0xacd7d98, _c=QMetaObject::InvokeMetaMethod, _id=3, _a=0xae4e600)
    at /build/buildd/amarok-2.2.0/obj-i486-linux-gnu/src/CollectionTreeItemModelBase.moc:87
#12 0x00869b62 in SingleCollectionTreeItemModel::qt_metacall (this=0xacd7d98, _c=QMetaObject::InvokeMetaMethod, _id=23, _a=0xae4e600)
    at /build/buildd/amarok-2.2.0/obj-i486-linux-gnu/src/SingleCollectionTreeItemModel.moc:58
#13 0x06988f0b in QMetaCallEvent::placeMetaCall (this=0xaa53550, object=0xacd7d98) at kernel/qobject.cpp:477
#14 0x0698a5fe in QObject::event (this=0xacd7d98, e=0xaa53550) at kernel/qobject.cpp:1111
#15 0x00f2bf54 in QApplicationPrivate::notify_helper (this=0x884f5f0, receiver=0xacd7d98, e=0xaa53550) at kernel/qapplication.cpp:4056
#16 0x00f3367c in QApplication::notify (this=0xbfde6bdc, receiver=0xacd7d98, e=0xaa53550) at kernel/qapplication.cpp:3603
#17 0x002e325a in KApplication::notify (this=0xbfde6bdc, receiver=0xacd7d98, event=0xaa53550) at ../../kdeui/kernel/kapplication.cpp:302
#18 0x0697a6cb in QCoreApplication::notifyInternal (this=0xbfde6bdc, receiver=0xacd7d98, event=0xaa53550) at kernel/qcoreapplication.cpp:610
#19 0x0697b2b2 in QCoreApplication::sendEvent (receiver=0x0, event_type=0, data=0x8793050) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#20 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x8793050) at kernel/qcoreapplication.cpp:1247
#21 0x0697b47d in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1140
#22 0x069a53ff in QCoreApplication::sendPostedEvents (s=0x8849d10) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#23 postEventSourceDispatch (s=0x8849d10) at kernel/qeventdispatcher_glib.cpp:210
#24 0x04c51e88 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#25 0x04c55730 in ?? () from /lib/libglib-2.0.so.0
#26 0x04c55863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#27 0x069a502c in QEventDispatcherGlib::processEvents (this=0x8792e60, flags=...) at kernel/qeventdispatcher_glib.cpp:327
#28 0x00fccbe5 in QGuiEventDispatcherGlib::processEvents (this=0x8792e60, flags=...) at kernel/qguieventdispatcher_glib.cpp:202
#29 0x06978c79 in QEventLoop::processEvents (this=0xbfde6b44, flags=) at kernel/qeventloop.cpp:149
#30 0x069790ca in QEventLoop::exec (this=0xbfde6b44, flags=...) at kernel/qeventloop.cpp:201
#31 0x0697b53f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#32 0x00f2bdd7 in QApplication::exec () at kernel/qapplication.cpp:3525
#33 0x08051e49 in main (argc=3, argv=0xbfde73e4) at /build/buildd/amarok-2.2.0/src/main.cpp:225

This bug may be a duplicate of or related to bug 224851

Reported using DrKonqi
Comment 1 Sven Krohlas 2010-04-04 12:31:51 UTC
I'm quite sure this has been fixed, but I'm unable to find the correct dupe of this bug.

If it is still a problem in a recent version of Amarok please file a bug with an up2date backtrace.
Comment 2 Mikko C. 2010-04-05 12:58:44 UTC
*** Bug 233334 has been marked as a duplicate of this bug. ***
Comment 3 Mikko C. 2010-05-08 10:16:19 UTC
reopening since it happens with 2.3.0 too.
Backtrace from bug 236764


[KCrash Handler]
#6  QListData::size (this=0xa257898) at /usr/include/qt4/QtCore/qlist.h:90
#7  QList<CollectionTreeItem*>::indexOf (this=0xa257898) at
/usr/include/qt4/QtCore/qlist.h:726
#8  CollectionTreeItem::row (this=0xa257898) at
../../src/browsers/CollectionTreeItem.cpp:284
#9  0x00d588c1 in CollectionTreeItemModelBase::handleNormalQueryResult
(this=0xa0676b8, qm=0x9625d48, dataList=...) at
../../src/browsers/CollectionTreeItemModelBase.cpp:823
#10 0x00d58c8e in CollectionTreeItemModelBase::newResultReady (this=0xa0676b8,
collectionId=..., data=...) at
../../src/browsers/CollectionTreeItemModelBase.cpp:704
#11 0x00d56d9a in CollectionTreeItemModelBase::qt_metacall (this=0xa0676b8,
_c=QMetaObject::InvokeMetaMethod, _id=3, _a=0x9e565c0) at
./CollectionTreeItemModelBase.moc:93
#12 0x00d70f22 in SingleCollectionTreeItemModel::qt_metacall (this=0xa0676b8,
_c=QMetaObject::InvokeMetaMethod, _id=27, _a=0x9e565c0) at
./SingleCollectionTreeItemModel.moc:64
#13 0x00ad7c9a in QMetaObject::metacall (object=0xa0676b8, cl=43, idx=27,
argv=0x9e565c0) at kernel/qmetaobject.cpp:237
Comment 4 Mikko C. 2010-05-08 10:16:28 UTC
*** Bug 236764 has been marked as a duplicate of this bug. ***
Comment 5 Marco González Luengo 2010-05-14 06:54:59 UTC
Created attachment 43560 [details]
New crash information added by DrKonqi

Same here: listening internet radio while browsing Jamendo directory.
Comment 6 Myriam Schweingruber 2010-08-09 13:04:22 UTC
Is this still valid with Amarok 2.3.1 or later?
Comment 7 Myriam Schweingruber 2010-08-17 10:57:37 UTC
*** Bug 248102 has been marked as a duplicate of this bug. ***
Comment 8 Myriam Schweingruber 2010-10-09 10:52:50 UTC
*** Bug 253611 has been marked as a duplicate of this bug. ***
Comment 9 Mikko C. 2010-10-09 11:02:38 UTC
valid in 2.3.2
Comment 10 Myriam Schweingruber 2010-10-20 23:09:12 UTC
*** Bug 254786 has been marked as a duplicate of this bug. ***
Comment 11 Myriam Schweingruber 2010-10-22 14:44:57 UTC
*** Bug 254905 has been marked as a duplicate of this bug. ***
Comment 12 Myriam Schweingruber 2010-10-22 15:43:50 UTC
*** Bug 254946 has been marked as a duplicate of this bug. ***
Comment 13 Myriam Schweingruber 2010-11-08 11:46:04 UTC
*** Bug 256343 has been marked as a duplicate of this bug. ***
Comment 14 Myriam Schweingruber 2010-11-09 13:08:35 UTC
*** Bug 256419 has been marked as a duplicate of this bug. ***
Comment 15 Myriam Schweingruber 2010-11-29 17:38:28 UTC
*** Bug 258159 has been marked as a duplicate of this bug. ***
Comment 16 Myriam Schweingruber 2010-11-29 18:05:16 UTC
*** Bug 258211 has been marked as a duplicate of this bug. ***
Comment 17 Myriam Schweingruber 2010-12-07 19:56:14 UTC
*** Bug 259126 has been marked as a duplicate of this bug. ***
Comment 18 Myriam Schweingruber 2010-12-14 14:08:21 UTC
I can reproduce this here with 2.4-git, but it seems to be a pulseazdio problem:

 pulse audio output debug: Pulse Close
Assertion 'o' failed at pulse/operation.c:128, function pa_operation_get_state(). Aborting.

No backtrace as it is a sgementation fault.

Could somebody else please test with current 2.4-git or Amarok 2.4 beta?
Comment 19 Stéphane Pontier 2010-12-14 17:23:03 UTC
The bug was happening and still happen with the git from today and pulseaudio was never installed on this computer.
Comment 20 Myriam Schweingruber 2010-12-14 17:43:03 UTC
(In reply to comment #19)
> The bug was happening and still happen with the git from today and pulseaudio
> was never installed on this computer.

Do you still get the same backtrace?
Comment 21 Stéphane Pontier 2010-12-15 14:01:25 UTC
Yes, I have this one. (I even tried with Jamendo service disabled and got the same problem and backtrace)

Thread 1 (Thread 0xb0064720 (LWP 3732)):
[KCrash Handler]
#7  0xb6c39227 in QListData::size (this=0x9374978) at /usr/include/qt4/QtCore/qlist.h:94
#8  QList<CollectionTreeItem*>::indexOf (this=0x9374978) at /usr/include/qt4/QtCore/qlist.h:829
#9  CollectionTreeItem::row (this=0x9374978) at ../../src/browsers/CollectionTreeItem.cpp:224
#10 0xb6c44580 in CollectionTreeItemModelBase::queryDone (this=0x8f66710) at ../../src/browsers/CollectionTreeItemModelBase.cpp:903
#11 0xb6c44dde in CollectionTreeItemModelBase::qt_metacall (this=0x8f66710, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0x9bf3dd0) at ./CollectionTreeItemModelBase.moc:93
#12 0xb6c3c76a in CollectionTreeItemModel::qt_metacall (this=0x8f66710, _c=QMetaObject::InvokeMetaMethod, _id=26, _a=0x9bf3dd0) at ./CollectionTreeItemModel.moc:73
#13 0xb5c93d4a in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#14 0xb5c9f226 in QMetaCallEvent::placeMetaCall(QObject*) () from /usr/lib/libQtCore.so.4
#15 0xb5ca0ac2 in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#16 0xb618f72c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#17 0xb619577e in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#18 0xb76da63a in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#19 0xb5c8dfeb in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#20 0xb5c9124b in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQtCore.so.4
#21 0xb5c9140d in QCoreApplication::sendPostedEvents(QObject*, int) () from /usr/lib/libQtCore.so.4
#22 0xb5cbcd04 in ?? () from /usr/lib/libQtCore.so.4
#23 0xb3baf5e5 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#24 0xb3bb32d8 in ?? () from /lib/libglib-2.0.so.0
#25 0xb3bb34b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#26 0xb5cbc7f5 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#27 0xb6250f85 in ?? () from /usr/lib/libQtGui.so.4
#28 0xb5c8ca99 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#29 0xb5c8cf1a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#30 0xa27e466e in IBus::InputContext::processKeyEvent(unsigned int, unsigned int, unsigned int) () from /usr/lib/libibus-qt.so.1
#31 0xa3a74a22 in IBusInputContext::x11FilterEvent(QWidget*, _XEvent*) () from /usr/lib/qt4/plugins/inputmethods/libqtim-ibus.so
#32 0xaa161f42 in ?? () from /usr/lib/qt4/plugins/inputmethods/libqimsw-multi.so
#33 0xb62212e7 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#34 0xb625170a in ?? () from /usr/lib/libQtGui.so.4
#35 0xb3baf5e5 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#36 0xb3bb32d8 in ?? () from /lib/libglib-2.0.so.0
#37 0xb3bb34b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#38 0xb5cbc7f5 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#39 0xb6250f85 in ?? () from /usr/lib/libQtGui.so.4
#40 0xb5c8ca99 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#41 0xb5c8cf1a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#42 0xb5c914cf in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#43 0xb618e557 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#44 0x08050f61 in main (argc=2, argv=0xbfff6f74) at ../../src/main.cpp:261
Comment 22 Myriam Schweingruber 2010-12-15 23:42:40 UTC
Thank you for the feedback.
Comment 23 marko.gabriel.cz 2010-12-19 14:31:18 UTC
Created attachment 55071 [details]
New crash information added by DrKonqi

amarok (2.3.2) on KDE Platform 4.5.4 (KDE 4.5.4) using Qt 4.7.0

- What I was doing when the application crashed:I was searching for some tracks on Jamendo. At the same time I was updating my local database.

-- Backtrace (Reduced):
#7  indexOf (this=0xabc8ea0) at /usr/include/qt4/QtCore/qlist.h:833
#8  CollectionTreeItem::row (this=0xabc8ea0) at ../../src/browsers/CollectionTreeItem.cpp:278
#9  0x00bbcaa1 in CollectionTreeItemModelBase::queryDone (this=0xab1fcc0) at ../../src/browsers/CollectionTreeItemModelBase.cpp:851
#10 0x00bc02ce in CollectionTreeItemModelBase::qt_metacall (this=0xab1fcc0, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xafffe10) at ./CollectionTreeItemModelBase.moc:93
#11 0x00bdbec2 in SingleCollectionTreeItemModel::qt_metacall (this=0xab1fcc0, _c=QMetaObject::InvokeMetaMethod, _id=26, _a=0xafffe10) at ./SingleCollectionTreeItemModel.moc:64
Comment 24 Myriam Schweingruber 2011-01-16 17:49:46 UTC
*** Bug 263303 has been marked as a duplicate of this bug. ***
Comment 25 Metin Amiroff 2011-01-16 20:59:00 UTC
Created attachment 56105 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.5.95 (4.6 RC2) using Qt 4.7.1

- What I was doing when the application crashed:

Browsing categories in Jamendo music section.

-- Backtrace (Reduced):
#7  0x00e6d606 in QList<CollectionTreeItem*>::indexOf (this=0x19, t=@0xbfbb1124, from=0) at /usr/include/qt4/QtCore/qlist.h:828
#8  0x00e6b7df in CollectionTreeItem::row (this=0x9f2b740) at ../../src/browsers/CollectionTreeItem.cpp:224
#9  0x00e75c30 in CollectionTreeItemModelBase::queryDone (this=0xa7d9b50) at ../../src/browsers/CollectionTreeItemModelBase.cpp:903
#10 0x00e7b96e in CollectionTreeItemModelBase::qt_metacall (this=0xa7d9b50, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xa040b88) at ./CollectionTreeItemModelBase.moc:93
#11 0x00e95942 in SingleCollectionTreeItemModel::qt_metacall (this=0xa7d9b50, _c=QMetaObject::InvokeMetaMethod, _id=26, _a=0xa040b88) at ./SingleCollectionTreeItemModel.moc:64
Comment 26 Leonardo La Malfa 2011-02-11 11:19:32 UTC
Created attachment 57153 [details]
New crash information added by DrKonqi

I was searching for song titles on Jamendo, when Amarok crashed. I've just filed Bug 266065, but the related bugs suggested by Dr. Konqi didn't seem quite related, and were a bit old, too. So, on following crash, I waited for Dr. Konqi's suggestions again, and this time descriptions here seem more related. What I did: a simple search on Jamendo, which, as explained in Bug 266065, cannot be completed successfully. I don't have pulseaudio, either.
Comment 27 Wolfgang Lorenz 2011-02-11 15:40:25 UTC
Created attachment 57159 [details]
dirty hack, that somehow works...

Now, listen up developers, because I really do NOT know, what I am speaking about:

In CollectionTreeItemModelBase::populateChildren() some CollectionTreeItems are removed, containing the one (from d->compilationQueries, I think, but that may be of no relevance) that is later on used in CollectionTreeItemModelBase::queryDone(), which must lead to a segfault.

The patch fixes this, by not removing CollectionTreeItems, that are stuffed in d->runningQueries. This may be the wrong way, but it seems to work. (As a *quick* glance at the resulting behavior showed.) Someone, who really knows the Amarok sources should look into this patch, and if it is not a good solution, it may still be of help in fixing this bug.

PS: As I see it, this bug is not related to the Jamendo plugin. The problem also occurs with Magnatune.
Comment 28 Myriam Schweingruber 2011-02-12 14:57:00 UTC
(In reply to comment #27)
>...
> PS: As I see it, this bug is not related to the Jamendo plugin. The problem
> also occurs with Magnatune.

Did you see the component this bug is filed under? It doesn't read Jamendo there, doesn't it?

Please file your patch on http://git.reviewboard.kde.org
Comment 29 Myriam Schweingruber 2011-02-19 14:36:12 UTC
*** Bug 235327 has been marked as a duplicate of this bug. ***
Comment 30 Myriam Schweingruber 2011-02-20 22:13:59 UTC
*** Bug 266656 has been marked as a duplicate of this bug. ***
Comment 31 Myriam Schweingruber 2011-02-20 23:34:37 UTC
*** Bug 266729 has been marked as a duplicate of this bug. ***
Comment 32 Myriam Schweingruber 2011-02-27 12:12:43 UTC
*** Bug 267219 has been marked as a duplicate of this bug. ***
Comment 33 Myriam Schweingruber 2011-03-12 11:09:45 UTC
*** Bug 268190 has been marked as a duplicate of this bug. ***
Comment 34 Myriam Schweingruber 2011-03-19 15:36:02 UTC
*** Bug 268883 has been marked as a duplicate of this bug. ***
Comment 35 Myriam Schweingruber 2011-03-19 15:39:03 UTC
*** Bug 268888 has been marked as a duplicate of this bug. ***
Comment 36 Myriam Schweingruber 2011-03-21 08:27:05 UTC
*** Bug 269025 has been marked as a duplicate of this bug. ***
Comment 37 Myriam Schweingruber 2011-03-22 08:17:28 UTC
*** Bug 269090 has been marked as a duplicate of this bug. ***
Comment 38 Myriam Schweingruber 2011-03-23 22:29:19 UTC
*** Bug 269198 has been marked as a duplicate of this bug. ***
Comment 39 Valorie Zimmerman 2011-03-24 09:03:39 UTC
Created attachment 58302 [details]
New crash information added by DrKonqi

amarok (2.4-GIT) on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.0

- What I was doing when the application crashed: searching for a particular album on Jamendo

- Unusual behavior I noticed: I was on the webpage, so I know the file exists. Pasted in the exact name, and then Amarok crashed. These days, that means Plasma crashes too. What a drag.

-- Backtrace (Reduced):
#6  0x00007f418d493740 in QListData::isEmpty (this=0x62006500440030) at /usr/include/qt4/QtCore/qlist.h:95
#7  0x00007f418d4a6c5a in QList<CollectionTreeItem*>::isEmpty (this=0x62006500440030) at /usr/include/qt4/QtCore/qlist.h:139
#8  0x00007f418d4a4c61 in CollectionTreeItem::row (this=0x44c3ca0) at /home/valorie/kde/src/amarok/src/browsers/CollectionTreeItem.cpp:227
#9  0x00007f418d4b4b10 in CollectionTreeItemModelBase::queryDone (this=0x477a7f0) at /home/valorie/kde/src/amarok/src/browsers/CollectionTreeItemModelBase.cpp:904
#10 0x00007f418d4b822b in CollectionTreeItemModelBase::qt_metacall (this=0x477a7f0, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0x530bf10) at /home/valorie/kde/build/amarok/src/CollectionTreeItemModelBase.moc:93
Comment 40 Myriam Schweingruber 2011-04-17 17:12:00 UTC
*** Bug 270991 has been marked as a duplicate of this bug. ***
Comment 41 Myriam Schweingruber 2011-04-24 15:34:14 UTC
*** Bug 271500 has been marked as a duplicate of this bug. ***
Comment 42 Myriam Schweingruber 2011-04-27 22:26:07 UTC
Git commit cb731f5cde0cd4fdd8557689358556b27d130e7e by Ralf Engels.
Committed on 27/04/2011 at 21:14.
Pushed by rengels into branch 'master'.

Fix for "Crash when browsing a category on Jamendo"
This fix is consisent with the comments and stack traces in the bug
report but as I can't reproduce the crash I also can't verify the
fix.
Comment 43 Stéphane Pontier 2011-04-28 12:27:18 UTC
I tried the latest git version this morning, and tested by:
- launching amarok,
- searching some artist,
- erase some char and typing again in the search box

and amarok still crashed with the following backtrace:


Thread 1 (Thread 0xb6515940 (LWP 5893)):
[KCrash Handler]
#7  contains (this=0xa8eed68) at /usr/include/qt4/QtCore/qlist.h:863
#8  CollectionTreeItem::row (this=0xa8eed68) at ../../src/browsers/CollectionTreeItem.cpp:227
#9  0x00ca4db0 in CollectionTreeItemModelBase::queryDone (this=0xa721950) at ../../src/browsers/CollectionTreeItemModelBase.cpp:904
#10 0x00ca560e in CollectionTreeItemModelBase::qt_metacall (this=0xa721950, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xb0624b8) at ./CollectionTreeItemModelBase.moc:93
#11 0x00c9ccfa in CollectionTreeItemModel::qt_metacall (this=0xa721950, _c=QMetaObject::InvokeMetaMethod, _id=26, _a=0xb0624b8) at ./CollectionTreeItemModel.moc:73
#12 0x016698ca in QMetaObject::metacall (object=0xa721950, cl=284299944, idx=26, argv=0xb0624b8) at kernel/qmetaobject.cpp:237
#13 0x01674df6 in QMetaCallEvent::placeMetaCall (this=0xa9dddf0, object=0xa721950) at kernel/qobject.cpp:534
#14 0x016766a2 in QObject::event (this=0xa721950, e=0xa8eed68) at kernel/qobject.cpp:1219
#15 0x02c9afdc in QApplicationPrivate::notify_helper (this=0x9fc8630, receiver=0xa721950, e=0xa9dddf0) at kernel/qapplication.cpp:4396
#16 0x02ca104e in QApplication::notify (this=0xbfacea24, receiver=0xa721950, e=0xa9dddf0) at kernel/qapplication.cpp:3798
#17 0x0062282a in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#18 0x01663b3b in QCoreApplication::notifyInternal (this=0xbfacea24, receiver=0xa721950, event=0xa9dddf0) at kernel/qcoreapplication.cpp:732
#19 0x01666d8b in sendEvent (receiver=0x0, event_type=0, data=0x9ec9b28) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#20 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x9ec9b28) at kernel/qcoreapplication.cpp:1373
#21 0x01666f4d in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1266
#22 0x01692a74 in sendPostedEvents (s=0x9fca890) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#23 postEventSourceDispatch (s=0x9fca890) at kernel/qeventdispatcher_glib.cpp:277
#24 0x01fa8855 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#25 0x01fac668 in ?? () from /lib/libglib-2.0.so.0
#26 0x01fac848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#27 0x01692565 in QEventDispatcherGlib::processEvents (this=0x9ec97e8, flags=...) at kernel/qeventdispatcher_glib.cpp:415
#28 0x02d5cbe5 in QGuiEventDispatcherGlib::processEvents (this=0x9ec97e8, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#29 0x01662609 in QEventLoop::processEvents (this=0xbface974, flags=) at kernel/qeventloop.cpp:149
#30 0x01662a8a in QEventLoop::exec (this=0xbface974, flags=...) at kernel/qeventloop.cpp:201
#31 0x0166700f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#32 0x02c99e07 in QApplication::exec () at kernel/qapplication.cpp:3672
#33 0x08050fc0 in main (argc=1, argv=0xbfacf444) at ../../src/main.cpp:288
Comment 44 Wolfgang Lorenz 2011-04-28 13:13:07 UTC
I posted a working patch about 2 month ago: https://git.reviewboard.kde.org/r/100723/

Could you test this one please?
Comment 45 Stéphane Pontier 2011-04-28 15:25:01 UTC
with this patch applied, I was able to do lot of searching and erasing during several minutes without a crash, before, it crashed after 2 or 3 "search/erase" cycle \o/
Comment 46 Myriam Schweingruber 2011-04-28 23:41:42 UTC
That is strange, I can't reproduce this here at all with the latest Amarok 2.4-git of today. 

Maybe you should try erasing pre-existing configuration files, in particular this one: $HOME/.kde/share/config/amarokrc (it might be $HOME/.kde4/share/config/amarokrc on some systems).
Comment 47 Stéphane Pontier 2011-04-29 12:45:18 UTC
I tried with the git version without the applied patch
started with my configuration file removed,
rescan my collection and played with search box in local collection:
  got no crash
I set again my preferences one by one playing with search box each time and figure out that as soon as I set the collection display to "style/artist/album" oposed to the default "artist/album", I got again the crash when playing with the search box.

After that, I installed again the  git version _with_ the patch from Wolfgang applied and no more crash whatever was the collection display ("style/artist/album" or "artist/album").
Comment 48 Myriam Schweingruber 2011-05-03 17:48:48 UTC
*** Bug 272287 has been marked as a duplicate of this bug. ***
Comment 49 Myriam Schweingruber 2011-05-03 17:50:21 UTC
*** Bug 272309 has been marked as a duplicate of this bug. ***
Comment 50 Myriam Schweingruber 2011-05-04 09:35:11 UTC
*** Bug 272406 has been marked as a duplicate of this bug. ***
Comment 51 judedawson 2011-05-12 10:55:20 UTC
Created attachment 59929 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:

Selectted songs to play on Magnatune, and clicked play. Nothing happened. Clicked play again several times. Amarok then suddenly terminated.

-- Backtrace (Reduced):
#7  0x00ce94f6 in QList<CollectionTreeItem*>::indexOf (this=0x1d, t=@0xbfa1d784, from=0) at /usr/include/qt4/QtCore/qlist.h:828
#8  0x00ce76cf in CollectionTreeItem::row (this=0x9576958) at ../../src/browsers/CollectionTreeItem.cpp:224
#9  0x00cf1b10 in CollectionTreeItemModelBase::queryDone (this=0x961b278) at ../../src/browsers/CollectionTreeItemModelBase.cpp:903
#10 0x00cf785e in CollectionTreeItemModelBase::qt_metacall (this=0x961b278, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0x9314798) at ./CollectionTreeItemModelBase.moc:93
#11 0x00d117f2 in SingleCollectionTreeItemModel::qt_metacall (this=0x961b278, _c=QMetaObject::InvokeMetaMethod, _id=26, _a=0x9314798) at ./SingleCollectionTreeItemModel.moc:64
Comment 52 Myriam Schweingruber 2011-05-21 17:11:29 UTC
Fixed by this commit:

Git commit 1e2bfd44b7509c5efe0fec328008ea72e7e999fd by Ralf Engels.
Committed on 20/05/2011 at 21:36.
Pushed by rengels into branch 'master'.

Crash when browsing a category [@ CollectionTreeItem::row]

patch for https://bugs.kde.org/show_bug.cgi?id=233170

When a query is started the Collections::QueryMaker* is stored in QHash<CollectionTreeItem*, Collections::QueryMaker*> runningQueries.

Now, when CollectionTreeItemModelBase::populateChildren deletes items CollectionTreeItemModelBase::itemAboutToBeDeleted is called, which in turn stops, disconnects and deletes the queryMaker associated with the item.

The problem occurs, if there is more than one queryMaker for the item, as will happen, when CollectionTreeItemModelBase::handleCompilations is called. In this case itemAboutToBeDeleted deletes only one queryMaker. The other one finishes normally, calls CollectionTreeItemModelBase::queryDone, which in turn calls CollectionTreeItem::row of a deleted item and Amarok crashes with a segfault.

The patch changes the runningQueries buffer to QMultiHash. So all queryMakers are kept and itemAboutToBeDeleted can stop them all.

Courtesy: Wolfgang Lorenz
Comment 53 Myriam Schweingruber 2011-06-14 00:43:39 UTC
*** Bug 275563 has been marked as a duplicate of this bug. ***
Comment 54 Myriam Schweingruber 2011-06-16 13:32:01 UTC
*** Bug 275712 has been marked as a duplicate of this bug. ***
Comment 55 Myriam Schweingruber 2011-06-17 11:31:02 UTC
*** Bug 275868 has been marked as a duplicate of this bug. ***
Comment 56 nernit.site 2011-07-22 07:55:59 UTC
Created attachment 62067 [details]
New crash information added by DrKonqi

amarok (2.4.1) on KDE Platform 4.6.3 (4.6.3) using Qt 4.7.3

- What I was doing when the application crashed:
Searching for an artist on jamendo. Amaraok start to display informations and every time, it crashs

-- Backtrace (Reduced):
#8  0x41970f04 in CollectionTreeItemModelBase::queryDone() () from /usr/lib/libamaroklib.so.1
#9  0x41976d5e in CollectionTreeItemModelBase::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libamaroklib.so.1
#10 0x41990f53 in SingleCollectionTreeItemModel::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libamaroklib.so.1
[...]
#13 0x056dd7cf in QObject::event (this=0x9e64f58, e=0x9f63f30) at kernel/qobject.cpp:1217
#14 0x05e3058c in QApplicationPrivate::notify_helper (this=0x93fdff0, receiver=0x9e64f58, e=0x9f63f30) at kernel/qapplication.cpp:4462
Comment 57 Myriam Schweingruber 2011-08-05 07:48:58 UTC
*** Bug 279291 has been marked as a duplicate of this bug. ***
Comment 58 Myriam Schweingruber 2011-09-26 11:50:39 UTC
*** Bug 282268 has been marked as a duplicate of this bug. ***
Comment 59 Myriam Schweingruber 2011-09-26 11:52:26 UTC
Reopening, based on https://bugs.kde.org/show_bug.cgi?id=282268
Comment 60 andy.reddy 2011-10-04 17:00:11 UTC
Created attachment 64206 [details]
New crash information added by DrKonqi

amarok (2.4.3) on KDE Platform 4.7.1 (4.7.1) using Qt 4.7.4

Amarok still crashes everytime at login in KDE

-- Backtrace (Reduced):
#6  isEmpty (this=<value optimized out>) at /usr/include/QtCore/qlist.h:95
#7  isEmpty (this=<value optimized out>) at /usr/include/QtCore/qlist.h:139
#8  CollectionTreeItem::row (this=<value optimized out>) at /usr/src/debug/amarok-2.4.3/src/browsers/CollectionTreeItem.cpp:226
#9  0x00007fd64a7fc6f4 in CollectionTreeItemModelBase::handleNormalQueryResult (this=0x20d3780, qm=0x20dacb0, dataList=...) at /usr/src/debug/amarok-2.4.3/src/browsers/CollectionTreeItemModelBase.cpp:874
#10 0x00007fd64a7fca88 in CollectionTreeItemModelBase::newResultReady (this=0x20d3780, data=...) at /usr/src/debug/amarok-2.4.3/src/browsers/CollectionTreeItemModelBase.cpp:749
Comment 61 Myriam Schweingruber 2011-10-11 13:22:22 UTC
*** Bug 283695 has been marked as a duplicate of this bug. ***
Comment 62 andy.reddy 2011-11-08 18:07:10 UTC
Created attachment 65406 [details]
New crash information added by DrKonqi

amarok (2.4.3) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

Amarok always crashes at startup or login

-- Backtrace (Reduced):
#6  isEmpty (this=<value optimized out>) at /usr/include/QtCore/qlist.h:95
#7  isEmpty (this=<value optimized out>) at /usr/include/QtCore/qlist.h:139
#8  CollectionTreeItem::row (this=<value optimized out>) at /usr/src/debug/amarok-2.4.3/src/browsers/CollectionTreeItem.cpp:226
#9  0x00007fa7ee95d6f4 in CollectionTreeItemModelBase::handleNormalQueryResult (this=0x1530a00, qm=0x1537ef0, dataList=...) at /usr/src/debug/amarok-2.4.3/src/browsers/CollectionTreeItemModelBase.cpp:874
#10 0x00007fa7ee95da88 in CollectionTreeItemModelBase::newResultReady (this=0x1530a00, data=...) at /usr/src/debug/amarok-2.4.3/src/browsers/CollectionTreeItemModelBase.cpp:749
Comment 63 Myriam Schweingruber 2011-12-05 18:49:08 UTC
*** Bug 288039 has been marked as a duplicate of this bug. ***
Comment 64 Myriam Schweingruber 2011-12-06 13:45:16 UTC
*** Bug 288325 has been marked as a duplicate of this bug. ***
Comment 65 Myriam Schweingruber 2011-12-19 08:28:04 UTC
*** Bug 289291 has been marked as a duplicate of this bug. ***
Comment 66 zimmermann.denis 2012-03-15 20:12:29 UTC
I am not sure wether it's bind to your problems, but I'd similar issues and then I installed package linked on this page : http://amarok.kde.org/wiki/MP3
Since, no more crash.
Comment 67 zimmermann.denis 2012-03-15 20:23:08 UTC
In fact, it's still crashing, just less often. 
Here a report : 

amarok: selected item:  "Noise" 
amarok: BEGIN: void JamendoService::itemSelected(CollectionTreeItem*) 
amarok:   is wrong type 
amarok: END__: void JamendoService::itemSelected(CollectionTreeItem*) [Took: 0s] 
amarok: Fatal IO error: client killed
State change 
Moving from "playing" 2 to "paused" 4 
State change 
Moving from "paused" 4 to "ready" 1 
KCrash: Application 'amarok' crashing...
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit
sock_file=/home/ekaradon/.kde4/socket-Ekaradon/kdeinit4__0
amarok: [ERROR__] [MySqlStorage] "GREPME MySQLe query failed! (1194) Table 'jamendo_tracks' is marked as crashed and should be repaired on SELECT DISTINCT jamendo_artists.id, jamendo_artists.name, jamendo_artists.description , jamendo_artists.country, jamendo_artists.photo_url, jamendo_artists.jamendo_url, jamendo_artists.home_url  FROM  jamendo_tracks LEFT JOIN jamendo_albums ON jamendo_tracks.album_id = jamendo_albums.id LEFT JOIN jamendo_artists ON jamendo_albums.artist_id = jamendo_artists.id LEFT JOIN jamendo_genre ON jamendo_genre.album_id = jamendo_albums.id WHERE 1  AND jamendo_genre.name = 'New Wave' GROUP BY jamendo_tracks.id;" 
pure virtual method called
terminate called without an active exception
Unable to start Dr. Konqi
Comment 68 Myriam Schweingruber 2012-03-16 08:57:54 UTC
Can somebody reproduce this with Amarok 2.5?
Comment 69 Myriam Schweingruber 2012-04-24 10:43:03 UTC
I can't reproduce this with either Amarok 2.5 or 2.5-git of today, closing as fixed. Feel free to reopen if you can still reproduce this with Amarok 2.5 or later.
Comment 70 Myriam Schweingruber 2012-04-30 00:15:25 UTC
*** Bug 299043 has been marked as a duplicate of this bug. ***